## gate.config
Class SystemData

    java.lang.Object
      |
      +--gate.config.SystemData

class SystemData
extends Object

This class represents and instantiates systems during config data parsing.

Field Summary
`(package private) String` `controllerTypeName` The type name of the SYSTEM's controller
`protected static boolean` `DEBUG` Debug flag
`(package private) List` `lrList` The list of LRs
`(package private) List` `prList` The list of PRs
`(package private) String` `systemName` The name of the SYSTEM

Constructor Summary
`(package private)` `SystemData()` Default constructor.

Method Summary
`(package private) void` `createSystem()` Create a Controller; called when all the system data is present.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

  Debug flag

### prList

    List prList

  The list of PRs

### lrList

    List lrList

  The list of LRs

### systemName

    String systemName

  The name of the SYSTEM

### controllerTypeName

    String controllerTypeName

  The type name of the SYSTEM's controller

Constructor Detail

### SystemData

    SystemData()

  Default constructor.

Method Detail

### createSystem

    void createSystem()
                throws GateSaxException

  Create a Controller; called when all the system data is present.